/* Generated by powerful Codeforces Tool
 * Author: xxxodarap
 * Time: 2023-08-17 16:36
**/

#include<bits/stdc++.h>
using namespace std;

#define F(i, a, e) for(ll i = (a); i < (e); i++)
#define R(i, e) F(i, 0, e)

typedef long long ll;
typedef double lf;
typedef complex<lf> cp;
typedef pair<int, int> pii;


template<class T> bool ckmin(T& a, const T& b) { return b < a ? a = b, 1 : 0; }
template<class T> bool ckmax(T& a, const T& b) { return a < b ? a = b, 1 : 0; }


const lf PI = acos(-1), EPSI = 1e-9;

mt19937 rng(chrono::steady_clock::now().time_since_epoch().count());


// =============== Solution section ===============
const int MAXN = 2e5 + 5;
ll N;

void solve(){
    // Code goes here ...
    string seq;
    cin >> seq;

    N = seq.size();
    /* cerr << N << endl; */
    if(N == 2 and seq.substr(0,2) == "()"){
        cout << "NO" << endl;
        return;
    }
    string s = "";
    if(seq.substr(0,2) == "(("){
        R(i,N) s += "()";
    }
    if(seq.substr(0,2) == "()"){ // todo
        /* cerr << "char 2 is " << s[2] << endl; */
        if(seq[2] == '('){
            R(i,N) s += "(";
            R(i,N) s += ")";
        }
        else{
            R(i,N) s += "()";
        }
    }
    if(seq.substr(0,2) == ")("){
        R(i,N) s += "(";
        R(i,N) s += ")";
    }
    if(seq.substr(0,2) == "))"){
        R(i,N) s += "()";
    }

    cout << "YES" << endl;
    cout << s << endl;
}


// =============== Main section ===============
int main(){
    ios_base::sync_with_stdio(0); cin.tie(0);
    cout << setprecision(12); // << fixed;

    int T = 1;
    cin >> T;
    while(T--)
        solve();

    return 0;
}
        
